diff TOOLS/mpconsole.sh @ 27198:305dc504c407

Give all shell scripts a .sh suffix for consistency.
author diego
date Mon, 07 Jul 2008 09:30:22 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/TOOLS/mpconsole.sh	Mon Jul 07 09:30:22 2008 +0000
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Script to run mplayer on the console (fbdev/mga_vid/etc) without
+# the console text and/or flashing cursor getting in the way.
+# Written by Rich Felker.
+
+trap "tput cnorm ; exit 1" SIGQUIT SIGINT EXIT
+res=`PATH="$PATH:/usr/sbin" fbset | grep geometry | sed 's/^ *//'`
+width=`echo "$res" | cut -d' ' -f2`
+height=`echo "$res" | cut -d' ' -f3`
+tput civis
+clear
+mplayer -vo mga -screenw "$width" -screenh "$height" "$@" >/dev/null 2>&1